darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Util.Printer.Color

Synopsis

- showDoc :: RenderMode -> Doc -> String
- errorDoc :: Doc -> a
- traceDoc :: Doc -> a -> a
- assertDoc :: Maybe Doc -> a -> a
- fancyPrinters :: Printers
- environmentHelpColor :: ([String], [String])
- environmentHelpEscape :: ([String], [String])
- environmentHelpEscapeWhite :: ([String], [String])

# Documentation

showDoc :: RenderMode -> Doc -> String #

errorDoc :: Doc -> a #

traceDoc :: Doc -> a -> a #

assertDoc :: Maybe Doc -> a -> a #

fancyPrinters :: Printers #

``fancyPrinters` h` returns a set of printers suitable for outputting to `h`

environmentHelpColor :: ([String], [String]) #

environmentHelpEscape :: ([String], [String]) #

environmentHelpEscapeWhite :: ([String], [String]) #